### Enumeration

# Gdk Gravity

#### Declaration

    enum Gdk.Gravity

#### Description [src]

Defines the reference point of a surface and is used in `GdkPopupLayout`.

#### Members

Name | Description
--- | ---
`GDK_GRAVITY_NORTH_WEST` | The reference point is at the top left corner.
`GDK_GRAVITY_NORTH` | The reference point is in the middle of the top edge.
`GDK_GRAVITY_NORTH_EAST` | The reference point is at the top right corner.
`GDK_GRAVITY_WEST` | The reference point is at the middle of the left edge.
`GDK_GRAVITY_CENTER` | The reference point is at the center of the surface.
`GDK_GRAVITY_EAST` | The reference point is at the middle of the right edge.
`GDK_GRAVITY_SOUTH_WEST` | The reference point is at the lower left corner.
`GDK_GRAVITY_SOUTH` | The reference point is at the middle of the lower edge.
`GDK_GRAVITY_SOUTH_EAST` | The reference point is at the lower right corner.
`GDK_GRAVITY_STATIC` | The reference point is at the top left corner of the surface itself, ignoring window manager decorations.